| Earth Observation Mission CFI Software Pointing Software User Manual for JAVA |

Public Member Functions

# EECFI.InstrTransId Class Reference

Class for storing the Satellite Nominal Attitude configuration parameters. More...

Inheritance diagram for EECFI.InstrTransId:

List of all members.

## Public Member Functions
| InstrTransId ()
| Empty class constructor.
void | close () throws CfiError
| Release all resources managed by this object.
native void | init (double[] angle, double[] offsets) throws CfiError
| Initialise using angles.
native void | init (double[][] matrix, double[] offsets) throws CfiError
| Initialise using matrix.
native void | init (long angleType, final Vector< Long > harmTypePitch, final Vector< Long > harmTypeRoll, final Vector< Long > harmTypeYaw, final Vector< Double > harmCoeffPitch, final Vector< Double > harmCoeffRoll, final Vector< Double > harmCoeffYaw, double[] offsets) throws CfiError
| Initialise instrument attitude mispointing angles for a given satellite with a user-provided set of values.
native void | init (final TimeCorrelation timeId, final Vector< String > files, long timeInitMode, long timeRef, double time0, double time1) throws CfiError
| Initialise satellite attitude angles for a given satellite reading values from the attitude files.
native MatrixModel | getMatrix () throws CfiError
| Get matrix parameters.
native void | setMatrix (final MatrixModel matrixModel) throws CfiError
| Change initialisation AOCS parameters from the object.
native AngleModel | getAngles () throws CfiError
| Get angles model.
native void | setAngles (final AngleModel angleModel) throws CfiError
| Change angles model.
native HarmonicModel | getHarmonic () throws CfiError
| Get harmonic parameters of object.
native void | setHarmonic (final HarmonicModel harmModel) throws CfiError
| Change harmonic parameters of the object.
native AttFileModel | getFile () throws CfiError
| Get file data of object.
native void | setFile (final AttFileModel fileModel) throws CfiError
| Change initialisation file data of the object.
native double[] | getOffset () throws CfiError
| Get Instrument frame origin position vector (Satellite attitude frame).
native void | setOffset (double[] offset) throws CfiError
| Change Instrument frame origin position vector (Satellite attitude frame).
native void | setAzElDefinition (final AzElDefinition azElDef) throws CfiError
| Set azimuth/elevation definition.
native SatId | satId ()
| Return satellite id.

## Detailed Description

Class for storing the Satellite Nominal Attitude configuration parameters.

## Constructor & Destructor Documentation

EECFI.InstrTransId.InstrTransId | ( |  | ) |

Empty class constructor.

## Member Function Documentation

void EECFI.InstrTransId.close | ( |  | ) | throws CfiError

Release all resources managed by this object.

IMPORTANT: The life time of the EOCFI Java objects must be explicitly managed by the program work flow. Failure to perform this release will lead to resource leakage and might have a significant impact in performance.

AngleModel EECFI.InstrTransId::getAngles | ( |  | ) | throws CfiError

Get angles model.

Returns:
  Angle model data.

AttFileModel EECFI.InstrTransId::getFile | ( |  | ) | throws CfiError

Get file data of object.

Returns:
  File model data.

HarmonicModel EECFI.InstrTransId::getHarmonic | ( |  | ) | throws CfiError

Get harmonic parameters of object.

Returns:
  Harmonic model data.

MatrixModel EECFI.InstrTransId::getMatrix | ( |  | ) | throws CfiError

Get matrix parameters.

Returns:
  Matrix model data.

EECFI.InstrTransId::getOffset | ( |  | ) | throws CfiError

Get Instrument frame origin position vector (Satellite attitude frame).

Returns:
  Instrument frame origin position vector - Satellite attitude frame-.

void EECFI.InstrTransId::init | ( | double[] | angle,
|  | double[] | offsets |
| ) |  |  | throws CfiError

Initialise using angles.

Parameters:

  | angle | Rotation angles. [0]: Pitch mispointing angle (Satellite Nominal Attitude Frame) [deg]. Allowed range: If no better value, assume 0.0. [1]: Roll mispointing angle (Satellite Nominal Attitude Frame) [deg]. Allowed range: If no better value, assume 0.0. [2]: Yaw mispointing angle (Satellite Nominal Attitude Frame) [deg]. Allowed range: If no better value, assume 0.0. .
  | offsets | Instrument Frame Origin position vector (Satellite attitude frame) [m].

void EECFI.InstrTransId::init | ( | double | matrix[][],
|  | double[] | offsets |
| ) |  |  | throws CfiError

Initialise using matrix.

Parameters:

  | matrix | Rotation matrix.
  | offsets | Instrument Frame Origin position vector (Satellite attitude frame) [m].

void EECFI.InstrTransId::init | ( | long | angleType,
|  | final Vector< Long > | harmTypePitch,
|  | final Vector< Long > | harmTypeRoll,
|  | final Vector< Long > | harmTypeYaw,
|  | final Vector< Double > | harmCoefPitch,
|  | final Vector< Double > | harmCoefRoll,
|  | final Vector< Double > | harmCoefYaw,
|  | double[] | offsets |
| ) |  |  | throws CfiError

Initialise instrument attitude mispointing angles for a given satellite with a user-provided set of values.

The Attitude.compute and Attitude.changeFrame functions will then compute the values as follows:

Parameters:

  | angleType | Type of angle (given by PointingAngleTypeEnum).
  | harmTypePitch | Type of coefficients: 0= for the bias parameter <0 for the sinus coefficients (-n means that corresponds to the sinus coefficient of order n) >0 for the cosinus coefficients (-n means that corresponds to the cosinus coefficient of order n) .
  | harmTypeRoll | Type of coefficients (bias, sinus, cosinus).
  | harmTypeYaw | Type of coefficients (bias, sinus, cosinus).
  | harmCoefPitch | Bias, sinus and cosinus coefficients for the pitch angle.
  | harmCoefRoll | Bias, sinus and cosinus coefficients for the roll angle.
  | harmCoefYaw | Bias, sinus and cosinus coefficients for the yaw angle.
  | offsets | Instrument Frame Origin position vector (Satellite attitude frame) [m].

void EECFI.InstrTransId::init | ( | final TimeCorrelation | timeId,
|  | final Vector< String > | files,
|  | long | timeInitMode,
|  | long | timeRef,
|  | double | time0,
|  | double | time1 |
| ) |  |  | throws CfiError

Initialise satellite attitude angles for a given satellite reading values from the attitude files.

In order to read files, this method internally uses Data Handling functions.

Please refer to [D_H_SUM] for further details.

Parameters:

  | timeId | Time correlations.
  | files | Filenames of the reference data files. In case multiple files are used, the files should be time ordered. The supported Attitude File format is the Generic Attitude File as described in [DAT_SUM].
  | timeInitMode | Flag for selecting the time range of the initialisation (XPCFI_SEL_TIME/XPCFI_SEL_FILE).
  | timeRef | Time reference (TimeRefPointingEnum).
  | time0 | Start of the time range [Decimal days (Processing format)].
  | time1 | Stop of the time range [Decimal days (Processing format)].

SatId EECFI.InstrTransId::satId | ( |  | ) |

Return satellite id.

Returns:
  Satellite id.

void EECFI.InstrTransId::setAngles | ( | final AngleModel | angleModel | ) | throws CfiError

Change angles model.

Parameters:

  | angleModel | Angle model data.

void EECFI.InstrTransId::setAzElDefinition | ( | final AzElDefinition | azElDef | ) | throws CfiError

Set azimuth/elevation definition.

Parameters:

  | azElDef | Definition of azimuth and elevation.

void EECFI.InstrTransId::setFile | ( | final AttFileModel | fileModel | ) | throws CfiError

Change initialisation file data of the object.

Returns:
  fileModel File model data.

void EECFI.InstrTransId::setHarmonic | ( | final HarmonicModel | harmModel | ) | throws CfiError

Change harmonic parameters of the object.

Parameters:

  | harmModel | model data.

void EECFI.InstrTransId::setMatrix | ( | final MatrixModel | matrixModel | ) | throws CfiError

Change initialisation AOCS parameters from the object.

Parameters:

  | matrixModel | Matrix model data.

void EECFI.InstrTransId::setOffset | ( | double[] | offset | ) | throws CfiError

Change Instrument frame origin position vector (Satellite attitude frame).

Parameters:

  | offset | Instrument frame origin position vector - Satellite attitude frame- [m].